* {
	box-sizing: border-box;
}

body {
    margin: 0;
    font: 300 14px/1.52 Arial, Helvetica, sans-serif;
    color: #78909c;
    outline: none;
    display: flex;
    height: 100vh;
    overflow: hidden;
	background: url(/templates/ws/img/main-bg.jpg) no-repeat center center;
	background-size: cover;
	background-position: 0 0;
}

body::before {
    content: "";
    display: block;
    position: absolute;
    z-index: -1;
    width: 100%;
    height: 100%;
    top: 0;
    left: 0;
}

form {
    display: block;
    min-width: 250px;
    width: 400px;
    max-width: 95%;
    margin: auto;
    padding: 3em 2em;
    transition: opacity .5s, transform 1s;
    background: #fff;
    border-radius: 8px;
    overflow: hidden;
    z-index: 1;
    box-shadow: 0 1rem 3rem rgb(0 0 0 / 18%);
    padding-bottom: 0;
}

form.init {
	animation-duration: 2s;
	animation-name: init;
}

@keyframes init {
	from {
		transform: scale(0);
		opacity: 0;
	}

	to {
		transform: scale(1);
		opacity: 1;
	}
}

form.incorrect {
    animation-duration: .03s;
    animation-name: incorrect;
    transition: .3s;
}

form.incorrect:not(.sms-code) input {
    border-color: #F44336;
}

form.incorrect.sms-code .sms input {
    border-color: #F44336;
}

form.incorrect .logo > svg {
    filter: drop-shadow(1px 1px 8px rgba(0, 0, 0, .28));
}

form.verifed {
	transform: rotate(360deg);
	opacity: 0;
}

@keyframes incorrect {
	from {
		transform: translate3d(20px, 0, 0px);
	}

	to {
		transform: translate3d(-20px, 0, 0px);
	}
}

.logo {
	display: block;
	text-align: center;
	text-decoration: none;
	border-bottom: 1px solid #e6eaeb;
	padding: 30px;
	margin-right: -56px;
	margin-left: -56px;
	margin-top: -42px;
	padding: 15px 30px;
}

.logo > svg {
    width: 36%;
    /* filter: drop-shadow(1px 1px 1px rgba(0, 0, 0, .28)); */
}

.logo > h1 {
    color: #333333;
    text-transform: uppercase;
    margin: 0;
    font-size: 1.5em;
}

.form-group {
    position: relative;
    margin: 1.5em 0;
}

.form-group > svg {
    position: absolute;
    width: 1.8em;
    bottom: 1em;
    left: .5em;
}

label {
    display: block;
    color: #72777c;
	cursor: pointer;
	user-select: none;
}

input:not([type="checkbox"]) {
    outline: none;
    width: 100%;
    line-height: 41px;
    padding: 8px 12px;
    background: transparent;
    border: 0;
    border-bottom: 1px solid #e6eaeb;
    transition: border 0.2s linear 0s;
    padding-left: 2.8em;
    font-size: 1.2em;
}

input:focus {
    border-color: #00A0FF;
}

button {
    outline: none;
    width: 100%;
    border: 0;
    cursor: pointer;
    text-transform: uppercase;
    background: #4d93b7;
    color: white;
    height: 48px;
    border-radius: 4px;
    font-size: 16px;
    font-weight: 400;
    border: 1px solid transparent;
}

button:hover {
    color: #4d93b7;
    background: #fff;
    border: 1px solid #4d93b7;
}

input[type=checkbox] {
    border: 1px solid #e6eaeb;
    background: #ffffff;
    cursor: pointer;
    line-height: 0;
    height: 20px;
    margin: -4px 4px 0 0;
    outline: 0;
    padding: 0 !important;
    vertical-align: middle;
    width: 20px;
    appearance: none;
    box-shadow: inset 0 1px 2px rgba(0,0,0,.1);
    transition: .05s border-color ease-in-out;
    border-radius: 50%;
}

input[type=checkbox]:checked:before {
    position: absolute;
    content: "\2714";
    font-size: 16px;
    font-weight: bold;
    margin: 10px 3px;
    color: #4d93b7;
}

input:-webkit-autofill,
input:-webkit-autofill:focus,
input:-webkit-autofill:hover {
    -webkit-box-shadow: 0 0 0px 1000px #ffffff inset;
}

.sms {
	display: none;
}